Package com.sun.mail.iap

## Interface Literal

    public interface Literal

An interface for objects that provide data dynamically for use in a literal protocol element.

Author:
  Bill Shannon

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `size​()` Return the size of the data.
`void` `writeTo​(OutputStream os)` Write the data to the OutputStream.

### Method Detail

#### size

    int size​()

Return the size of the data.

Returns:
  the size of the data

#### writeTo

    void writeTo​(OutputStream os)
          throws IOException

Write the data to the OutputStream.

Parameters:
  `os` - the output stream
Throws:
  `IOException` - for I/O errors